メインコンテンツまでスキップ

API キーの一覧取得 (V2)

Lists customized ACL API keys in the calling organization.

GET/v2/api-keys
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
currentPageintegerquery

返すページ番号。最初のページは1です。

値の例: 1
pageSizeintegerquery

1ページあたりに返す項目数。

値の例: 10
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/api-keys" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功したレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
countinteger必要

一致する項目の総数。

currentPageinteger必要

現在のページ番号。

値の範囲: ≥ 1
pageSizeinteger必要

要求されたページサイズ。

値の範囲: ≥ 1
apiKeysarray必要

このページで返されるapiKeys。

[]apiKeysobject必要
apiKeyIdstring必要

公開APIキーID。

namestring必要

APIキーの表示名。

descriptionstring

APIキーの説明。

creatorNamestring必要

作成者の解決済み表示名。

createdBystring必要

作成者のメールアドレスまたは作成者のAPIキーID。

orgRolestring必要

APIキーに割り当てられた組織ロール: Owner、Member、またはBilling-Admin。

projectsarray必要

APIキーに付与されたプロジェクトレベルのアクセス権。

[]projectsobject必要
projectIdstring必要

プロジェクトID。

projectNamestring

プロジェクトの表示名。

rolestring必要

プロジェクトロール: Admin、Read-Write、またはRead-Only。

allClusterboolean

アクセスがプロジェクト内のすべてのクラスターを対象とするかどうか。

clustersarray

APIキーがアクセスできるクラスター。

[]clustersobject
clusterIdstring必要

クラスターID。

clusterNamestring必要

クラスターの表示名。

allVolumeboolean

アクセスがプロジェクト内のすべてのボリュームを対象とするかどうか。

volumesarray

APIキーがアクセスできるボリューム。

[]volumesobject
volumeIdstring必要

ボリュームID。

volumeNamestring必要

ボリュームの表示名。

createTimestring<date-time>必要

UTC ISO 8601形式の作成時刻。

失敗したレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"count": 2,
"currentPage": 1,
"pageSize": 10,
"apiKeys": [
{
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline",
"description": "API key used by the ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"orgRoles": [
{
"bindingId": "rb-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"roleId": "r-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"roleName": "Org Viewer",
"roleType": "org"
}
],
"projectRoles": [
{
"projectId": "proj-xxxxxxxx",
"roles": [
{
"bindingId": "rb-yyyyyyyyyyyyyyyyyyyyyyyyyyyyyy",
"roleId": "r-yyyyyyyyyyyyyyyyyyyyyyyyyyyyyy",
"roleName": "Data Reader",
"roleType": "project"
}
]
}
],
"createTime": "2026-07-22T02:30:00Z"
}
]
}
}
Ctrl I